/**
 * @module iso639.ts
 * @author Christophe Parisse
 * list of codes for iso languages reference
 */
export let code639 = [
    { code: "baq", code2: "eus", code2l: "eu", name: "Basque", desc: "basque" },
    { code: "chi", code2: "zho", code2l: "zh", name: "Chinese", desc: "chinois" },
    { code: "cze", code2: "ces", code2l: "cs", name: "Czech", desc: "tchèque" },
    { code: "dan", code2: "", code2l: "da", name: "Danish", desc: "danois" },
    { code: "dut", code2: "nld", code2l: "nl", name: "Dutch; Flemish", desc: "néerlandais; flamand" },
    { code: "eng", code2: "", code2l: "en", name: "English", desc: "anglais" },
    { code: "est", code2: "", code2l: "et", name: "Estonian", desc: "estonien" },
    { code: "fin", code2: "", code2l: "fi", name: "Finnish", desc: "finnois" },
    { code: "fre", code2: "fra", code2l: "fr", name: "French", desc: "français" },
    { code: "ger", code2: "deu", code2l: "de", name: "German", desc: "allemand" },
    { code: "heb", code2: "", code2l: "he", name: "Hebrew", desc: "hébreu" },
    { code: "hrv", code2: "", code2l: "hr", name: "Croatian", desc: "croate" },
    { code: "hun", code2: "", code2l: "hu", name: "Hungarian", desc: "hongrois" },
    { code: "ice", code2: "isl", code2l: "is", name: "Icelandic", desc: "islandais" },
    { code: "ita", code2: "", code2l: "it", name: "Italian", desc: "italien" },
    { code: "jpn", code2: "", code2l: "ja", name: "Japanese", desc: "japonais" },
    { code: "kor", code2: "", code2l: "ko", name: "Korean", desc: "coréen" },
    { code: "nor", code2: "", code2l: "no", name: "Norwegian", desc: "norvégien" },
    { code: "pol", code2: "", code2l: "pl", name: "Polish", desc: "polonais" },
    { code: "por", code2: "", code2l: "pt", name: "Portuguese", desc: "portugais" },
    { code: "rus", code2: "", code2l: "ru", name: "Russian", desc: "russe" },
    { code: "slo", code2: "slk", code2l: "sk", name: "Slovak", desc: "slovaque" },
    { code: "slv", code2: "", code2l: "sl", name: "Slovenian", desc: "slovène" },
    { code: "spa", code2: "", code2l: "es", name: "Spanish; Castilian", desc: "espagnol; castillan" },
    { code: "swe", code2: "", code2l: "sv", name: "Swedish", desc: "suédois" },
    { code: "tur", code2: "", code2l: "tr", name: "Turkish", desc: "turc" },
        
{ code: "abk", code2: "", code2l: "ab", name: "Abkhazian", desc: "abkhaze" },
{ code: "ace", code2: "", code2l: "", name: "Achinese", desc: "aceh" },
{ code: "ach", code2: "", code2l: "", name: "Acoli", desc: "acoli" },
{ code: "ada", code2: "", code2l: "", name: "Adangme", desc: "adangme" },
{ code: "ady", code2: "", code2l: "", name: "Adyghe; Adygei", desc: "adyghé" },
{ code: "afa", code2: "", code2l: "", name: "Afro-Asiatic languages", desc: "afro-asiatiques, langues" },
{ code: "afh", code2: "", code2l: "", name: "Afrihili", desc: "afrihili" },
{ code: "afr", code2: "", code2l: "af", name: "Afrikaans", desc: "afrikaans" },
{ code: "ain", code2: "", code2l: "", name: "Ainu", desc: "aïnou" },
{ code: "aka", code2: "", code2l: "ak", name: "Akan", desc: "akan" },
{ code: "akk", code2: "", code2l: "", name: "Akkadian", desc: "akkadien" },
{ code: "alb", code2: "sqi", code2l: "sq", name: "Albanian", desc: "albanais" },
{ code: "ale", code2: "", code2l: "", name: "Aleut", desc: "aléoute" },
{ code: "alg", code2: "", code2l: "", name: "Algonquian languages", desc: "algonquines, langues" },
{ code: "alt", code2: "", code2l: "", name: "Southern Altai", desc: "altai du Sud" },
{ code: "amh", code2: "", code2l: "am", name: "Amharic", desc: "amharique" },
{ code: "ang", code2: "", code2l: "", name: "English, Old (ca.450-1100)", desc: "anglo-saxon (ca.450-1100)" },
{ code: "anp", code2: "", code2l: "", name: "Angika", desc: "angika" },
{ code: "apa", code2: "", code2l: "", name: "Apache languages", desc: "apaches, langues" },
{ code: "ara", code2: "", code2l: "ar", name: "Arabic", desc: "arabe" },
{ code: "arc", code2: "", code2l: "", name: "Official Aramaic (700-300 BCE); Imperial Aramaic (700-300 BCE)", desc: "araméen d'empire (700-300 BCE)" },
{ code: "arg", code2: "", code2l: "an", name: "Aragonese", desc: "aragonais" },
{ code: "arm", code2: "hye", code2l: "hy", name: "Armenian", desc: "arménien" },
{ code: "arn", code2: "", code2l: "", name: "Mapudungun; Mapuche", desc: "mapudungun; mapuche; mapuce" },
{ code: "arp", code2: "", code2l: "", name: "Arapaho", desc: "arapaho" },
{ code: "art", code2: "", code2l: "", name: "Artificial languages", desc: "artificielles, langues" },
{ code: "arw", code2: "", code2l: "", name: "Arawak", desc: "arawak" },
{ code: "asm", code2: "", code2l: "as", name: "Assamese", desc: "assamais" },
{ code: "ast", code2: "", code2l: "", name: "Asturian; Bable; Leonese; Asturleonese", desc: "asturien; bable; léonais; asturoléonais" },
{ code: "ath", code2: "", code2l: "", name: "Athapascan languages", desc: "athapascanes, langues" },
{ code: "aus", code2: "", code2l: "", name: "Australian languages", desc: "australiennes, langues" },
{ code: "ava", code2: "", code2l: "av", name: "Avaric", desc: "avar" },
{ code: "ave", code2: "", code2l: "ae", name: "Avestan", desc: "avestique" },
{ code: "awa", code2: "", code2l: "", name: "Awadhi", desc: "awadhi" },
{ code: "aym", code2: "", code2l: "ay", name: "Aymara", desc: "aymara" },
{ code: "aze", code2: "", code2l: "az", name: "Azerbaijani", desc: "azéri" },
{ code: "bad", code2: "", code2l: "", name: "Banda languages", desc: "banda, langues" },
{ code: "bai", code2: "", code2l: "", name: "Bamileke languages", desc: "bamiléké, langues" },
{ code: "bak", code2: "", code2l: "ba", name: "Bashkir", desc: "bachkir" },
{ code: "bal", code2: "", code2l: "", name: "Baluchi", desc: "baloutchi" },
{ code: "bam", code2: "", code2l: "bm", name: "Bambara", desc: "bambara" },
{ code: "ban", code2: "", code2l: "", name: "Balinese", desc: "balinais" },
{ code: "bas", code2: "", code2l: "", name: "Basa", desc: "basa" },
{ code: "bat", code2: "", code2l: "", name: "Baltic languages", desc: "baltes, langues" },
{ code: "bej", code2: "", code2l: "", name: "Beja; Bedawiyet", desc: "bedja" },
{ code: "bel", code2: "", code2l: "be", name: "Belarusian", desc: "biélorusse" },
{ code: "bem", code2: "", code2l: "", name: "Bemba", desc: "bemba" },
{ code: "ben", code2: "", code2l: "bn", name: "Bengali", desc: "bengali" },
{ code: "ber", code2: "", code2l: "", name: "Berber languages", desc: "berbères, langues" },
{ code: "bho", code2: "", code2l: "", name: "Bhojpuri", desc: "bhojpuri" },
{ code: "bih", code2: "", code2l: "bh", name: "Bihari languages", desc: "langues biharis" },
{ code: "bik", code2: "", code2l: "", name: "Bikol", desc: "bikol" },
{ code: "bin", code2: "", code2l: "", name: "Bini; Edo", desc: "bini; edo" },
{ code: "bis", code2: "", code2l: "bi", name: "Bislama", desc: "bichlamar" },
{ code: "bla", code2: "", code2l: "", name: "Siksika", desc: "blackfoot" },
{ code: "bnt", code2: "", code2l: "", name: "Bantu (Other)", desc: "bantoues, autres langues" },
{ code: "bos", code2: "", code2l: "bs", name: "Bosnian", desc: "bosniaque" },
{ code: "bra", code2: "", code2l: "", name: "Braj", desc: "braj" },
{ code: "bre", code2: "", code2l: "br", name: "Breton", desc: "breton" },
{ code: "btk", code2: "", code2l: "", name: "Batak languages", desc: "batak, langues" },
{ code: "bua", code2: "", code2l: "", name: "Buriat", desc: "bouriate" },
{ code: "bug", code2: "", code2l: "", name: "Buginese", desc: "bugi" },
{ code: "bul", code2: "", code2l: "bg", name: "Bulgarian", desc: "bulgare" },
{ code: "bur", code2: "mya", code2l: "my", name: "Burmese", desc: "birman" },
{ code: "byn", code2: "", code2l: "", name: "Blin; Bilin", desc: "blin; bilen" },
{ code: "cad", code2: "", code2l: "", name: "Caddo", desc: "caddo" },
{ code: "cai", code2: "", code2l: "", name: "Central American Indian languages", desc: "amérindiennes de L'Amérique centrale, langues" },
{ code: "car", code2: "", code2l: "", name: "Galibi Carib", desc: "karib; galibi; carib" },
{ code: "cat", code2: "", code2l: "ca", name: "Catalan; Valencian", desc: "catalan; valencien" },
{ code: "cau", code2: "", code2l: "", name: "Caucasian languages", desc: "caucasiennes, langues" },
{ code: "ceb", code2: "", code2l: "", name: "Cebuano", desc: "cebuano" },
{ code: "cel", code2: "", code2l: "", name: "Celtic languages", desc: "celtiques, langues; celtes, langues" },
{ code: "cha", code2: "", code2l: "ch", name: "Chamorro", desc: "chamorro" },
{ code: "chb", code2: "", code2l: "", name: "Chibcha", desc: "chibcha" },
{ code: "che", code2: "", code2l: "ce", name: "Chechen", desc: "tchétchène" },
{ code: "chg", code2: "", code2l: "", name: "Chagatai", desc: "djaghataï" },
{ code: "chk", code2: "", code2l: "", name: "Chuukese", desc: "chuuk" },
{ code: "chm", code2: "", code2l: "", name: "Mari", desc: "mari" },
{ code: "chn", code2: "", code2l: "", name: "Chinook jargon", desc: "chinook, jargon" },
{ code: "cho", code2: "", code2l: "", name: "Choctaw", desc: "choctaw" },
{ code: "chp", code2: "", code2l: "", name: "Chipewyan; Dene Suline", desc: "chipewyan" },
{ code: "chr", code2: "", code2l: "", name: "Cherokee", desc: "cherokee" },
{ code: "chu", code2: "", code2l: "cu", name: "Church Slavic; Old Slavonic; Church Slavonic; Old Bulgarian; Old Church Slavonic", desc: "slavon d'église; vieux slave; slavon liturgique; vieux bulgare" },
{ code: "chv", code2: "", code2l: "cv", name: "Chuvash", desc: "tchouvache" },
{ code: "chy", code2: "", code2l: "", name: "Cheyenne", desc: "cheyenne" },
{ code: "cmc", code2: "", code2l: "", name: "Chamic languages", desc: "chames, langues" },
{ code: "cop", code2: "", code2l: "", name: "Coptic", desc: "copte" },
{ code: "cor", code2: "", code2l: "kw", name: "Cornish", desc: "cornique" },
{ code: "cos", code2: "", code2l: "co", name: "Corsican", desc: "corse" },
{ code: "cpe", code2: "", code2l: "", name: "Creoles and pidgins, English based", desc: "créoles et pidgins basés sur l'anglais" },
{ code: "cpf", code2: "", code2l: "", name: "Creoles and pidgins, French-based ", desc: "créoles et pidgins basés sur le français" },
{ code: "cpp", code2: "", code2l: "", name: "Creoles and pidgins, Portuguese-based ", desc: "créoles et pidgins basés sur le portugais" },
{ code: "cre", code2: "", code2l: "cr", name: "Cree", desc: "cree" },
{ code: "crh", code2: "", code2l: "", name: "Crimean Tatar; Crimean Turkish", desc: "tatar de Crimé" },
{ code: "crp", code2: "", code2l: "", name: "Creoles and pidgins ", desc: "créoles et pidgins" },
{ code: "csb", code2: "", code2l: "", name: "Kashubian", desc: "kachoube" },
{ code: "cus", code2: "", code2l: "", name: "Cushitic languages", desc: "couchitiques, langues" },
{ code: "dak", code2: "", code2l: "", name: "Dakota", desc: "dakota" },
{ code: "dar", code2: "", code2l: "", name: "Dargwa", desc: "dargwa" },
{ code: "day", code2: "", code2l: "", name: "Land Dayak languages", desc: "dayak, langues" },
{ code: "del", code2: "", code2l: "", name: "Delaware", desc: "delaware" },
{ code: "den", code2: "", code2l: "", name: "Slave (Athapascan)", desc: "esclave (athapascan)" },
{ code: "dgr", code2: "", code2l: "", name: "Dogrib", desc: "dogrib" },
{ code: "din", code2: "", code2l: "", name: "Dinka", desc: "dinka" },
{ code: "div", code2: "", code2l: "dv", name: "Divehi; Dhivehi; Maldivian", desc: "maldivien" },
{ code: "doi", code2: "", code2l: "", name: "Dogri", desc: "dogri" },
{ code: "dra", code2: "", code2l: "", name: "Dravidian languages", desc: "dravidiennes, langues" },
{ code: "dsb", code2: "", code2l: "", name: "Lower Sorbian", desc: "bas-sorabe" },
{ code: "dua", code2: "", code2l: "", name: "Duala", desc: "douala" },
{ code: "dum", code2: "", code2l: "", name: "Dutch, Middle (ca.1050-1350)", desc: "néerlandais moyen (ca. 1050-1350)" },
{ code: "dyu", code2: "", code2l: "", name: "Dyula", desc: "dioula" },
{ code: "dzo", code2: "", code2l: "dz", name: "Dzongkha", desc: "dzongkha" },
{ code: "efi", code2: "", code2l: "", name: "Efik", desc: "efik" },
{ code: "egy", code2: "", code2l: "", name: "Egyptian (Ancient)", desc: "égyptien" },
{ code: "eka", code2: "", code2l: "", name: "Ekajuk", desc: "ekajuk" },
{ code: "elx", code2: "", code2l: "", name: "Elamite", desc: "élamite" },
{ code: "enm", code2: "", code2l: "", name: "English, Middle (1100-1500)", desc: "anglais moyen (1100-1500)" },
{ code: "epo", code2: "", code2l: "eo", name: "Esperanto", desc: "espéranto" },
{ code: "ewe", code2: "", code2l: "ee", name: "Ewe", desc: "éwé" },
{ code: "ewo", code2: "", code2l: "", name: "Ewondo", desc: "éwondo" },
{ code: "fan", code2: "", code2l: "", name: "Fang", desc: "fang" },
{ code: "fao", code2: "", code2l: "fo", name: "Faroese", desc: "féroïen" },
{ code: "fat", code2: "", code2l: "", name: "Fanti", desc: "fanti" },
{ code: "fij", code2: "", code2l: "fj", name: "Fijian", desc: "fidjien" },
{ code: "fil", code2: "", code2l: "", name: "Filipino; Pilipino", desc: "filipino; pilipino" },
{ code: "fiu", code2: "", code2l: "", name: "Finno-Ugrian languages", desc: "finno-ougriennes, langues" },
{ code: "fon", code2: "", code2l: "", name: "Fon", desc: "fon" },
{ code: "frm", code2: "", code2l: "", name: "French, Middle (ca.1400-1600)", desc: "français moyen (1400-1600)" },
{ code: "fro", code2: "", code2l: "", name: "French, Old (842-ca.1400)", desc: "français ancien (842-ca.1400)" },
{ code: "frr", code2: "", code2l: "", name: "Northern Frisian", desc: "frison septentrional" },
{ code: "frs", code2: "", code2l: "", name: "Eastern Frisian", desc: "frison oriental" },
{ code: "fry", code2: "", code2l: "fy", name: "Western Frisian", desc: "frison occidental" },
{ code: "ful", code2: "", code2l: "ff", name: "Fulah", desc: "peul" },
{ code: "fur", code2: "", code2l: "", name: "Friulian", desc: "frioulan" },
{ code: "gaa", code2: "", code2l: "", name: "Ga", desc: "ga" },
{ code: "gay", code2: "", code2l: "", name: "Gayo", desc: "gayo" },
{ code: "gba", code2: "", code2l: "", name: "Gbaya", desc: "gbaya" },
{ code: "gem", code2: "", code2l: "", name: "Germanic languages", desc: "germaniques, langues" },
{ code: "geo", code2: "kat", code2l: "ka", name: "Georgian", desc: "géorgien" },
{ code: "gez", code2: "", code2l: "", name: "Geez", desc: "guèze" },
{ code: "gil", code2: "", code2l: "", name: "Gilbertese", desc: "kiribati" },
{ code: "gla", code2: "", code2l: "gd", name: "Gaelic; Scottish Gaelic", desc: "gaélique; gaélique écossais" },
{ code: "gle", code2: "", code2l: "ga", name: "Irish", desc: "irlandais" },
{ code: "glg", code2: "", code2l: "gl", name: "Galician", desc: "galicien" },
{ code: "glv", code2: "", code2l: "gv", name: "Manx", desc: "manx; mannois" },
{ code: "gmh", code2: "", code2l: "", name: "German, Middle High (ca.1050-1500)", desc: "allemand, moyen haut (ca. 1050-1500)" },
{ code: "goh", code2: "", code2l: "", name: "German, Old High (ca.750-1050)", desc: "allemand, vieux haut (ca. 750-1050)" },
{ code: "gon", code2: "", code2l: "", name: "Gondi", desc: "gond" },
{ code: "gor", code2: "", code2l: "", name: "Gorontalo", desc: "gorontalo" },
{ code: "got", code2: "", code2l: "", name: "Gothic", desc: "gothique" },
{ code: "grb", code2: "", code2l: "", name: "Grebo", desc: "grebo" },
{ code: "grc", code2: "", code2l: "", name: "Greek, Ancient (to 1453)", desc: "grec ancien (jusqu'à 1453)" },
{ code: "gre", code2: "ell", code2l: "el", name: "Greek, Modern (1453-)", desc: "grec moderne (après 1453)" },
{ code: "grn", code2: "", code2l: "gn", name: "Guarani", desc: "guarani" },
{ code: "gsw", code2: "", code2l: "", name: "Swiss German; Alemannic; Alsatian", desc: "suisse alémanique; alémanique; alsacien" },
{ code: "guj", code2: "", code2l: "gu", name: "Gujarati", desc: "goudjrati" },
{ code: "gwi", code2: "", code2l: "", name: "Gwich'in", desc: "gwich'in" },
{ code: "hai", code2: "", code2l: "", name: "Haida", desc: "haida" },
{ code: "hat", code2: "", code2l: "ht", name: "Haitian; Haitian Creole", desc: "haïtien; créole haïtien" },
{ code: "hau", code2: "", code2l: "ha", name: "Hausa", desc: "haoussa" },
{ code: "haw", code2: "", code2l: "", name: "Hawaiian", desc: "hawaïen" },
{ code: "her", code2: "", code2l: "hz", name: "Herero", desc: "herero" },
{ code: "hil", code2: "", code2l: "", name: "Hiligaynon", desc: "hiligaynon" },
{ code: "him", code2: "", code2l: "", name: "Himachali languages; Western Pahari languages", desc: "langues himachalis; langues paharis occidentales" },
{ code: "hin", code2: "", code2l: "hi", name: "Hindi", desc: "hindi" },
{ code: "hit", code2: "", code2l: "", name: "Hittite", desc: "hittite" },
{ code: "hmn", code2: "", code2l: "", name: "Hmong; Mong", desc: "hmong" },
{ code: "hmo", code2: "", code2l: "ho", name: "Hiri Motu", desc: "hiri motu" },
{ code: "hsb", code2: "", code2l: "", name: "Upper Sorbian", desc: "haut-sorabe" },
{ code: "hup", code2: "", code2l: "", name: "Hupa", desc: "hupa" },
{ code: "iba", code2: "", code2l: "", name: "Iban", desc: "iban" },
{ code: "ibo", code2: "", code2l: "ig", name: "Igbo", desc: "igbo" },
{ code: "ido", code2: "", code2l: "io", name: "Ido", desc: "ido" },
{ code: "iii", code2: "", code2l: "ii", name: "Sichuan Yi; Nuosu", desc: "yi de Sichuan" },
{ code: "ijo", code2: "", code2l: "", name: "Ijo languages", desc: "ijo, langues" },
{ code: "iku", code2: "", code2l: "iu", name: "Inuktitut", desc: "inuktitut" },
{ code: "ile", code2: "", code2l: "ie", name: "Interlingue; Occidental", desc: "interlingue" },
{ code: "ilo", code2: "", code2l: "", name: "Iloko", desc: "ilocano" },
{ code: "ina", code2: "", code2l: "ia", name: "Interlingua (International Auxiliary Language Association)", desc: "interlingua (langue auxiliaire internationale)" },
{ code: "inc", code2: "", code2l: "", name: "Indic languages", desc: "indo-aryennes, langues" },
{ code: "ind", code2: "", code2l: "id", name: "Indonesian", desc: "indonésien" },
{ code: "ine", code2: "", code2l: "", name: "Indo-European languages", desc: "indo-européennes, langues" },
{ code: "inh", code2: "", code2l: "", name: "Ingush", desc: "ingouche" },
{ code: "ipk", code2: "", code2l: "ik", name: "Inupiaq", desc: "inupiaq" },
{ code: "ira", code2: "", code2l: "", name: "Iranian languages", desc: "iraniennes, langues" },
{ code: "iro", code2: "", code2l: "", name: "Iroquoian languages", desc: "iroquoises, langues" },
{ code: "jav", code2: "", code2l: "jv", name: "Javanese", desc: "javanais" },
{ code: "jbo", code2: "", code2l: "", name: "Lojban", desc: "lojban" },
{ code: "jpr", code2: "", code2l: "", name: "Judeo-Persian", desc: "judéo-persan" },
{ code: "jrb", code2: "", code2l: "", name: "Judeo-Arabic", desc: "judéo-arabe" },
{ code: "kaa", code2: "", code2l: "", name: "Kara-Kalpak", desc: "karakalpak" },
{ code: "kab", code2: "", code2l: "", name: "Kabyle", desc: "kabyle" },
{ code: "kac", code2: "", code2l: "", name: "Kachin; Jingpho", desc: "kachin; jingpho" },
{ code: "kal", code2: "", code2l: "kl", name: "Kalaallisut; Greenlandic", desc: "groenlandais" },
{ code: "kam", code2: "", code2l: "", name: "Kamba", desc: "kamba" },
{ code: "kan", code2: "", code2l: "kn", name: "Kannada", desc: "kannada" },
{ code: "kar", code2: "", code2l: "", name: "Karen languages", desc: "karen, langues" },
{ code: "kas", code2: "", code2l: "ks", name: "Kashmiri", desc: "kashmiri" },
{ code: "kau", code2: "", code2l: "kr", name: "Kanuri", desc: "kanouri" },
{ code: "kaw", code2: "", code2l: "", name: "Kawi", desc: "kawi" },
{ code: "kaz", code2: "", code2l: "kk", name: "Kazakh", desc: "kazakh" },
{ code: "kbd", code2: "", code2l: "", name: "Kabardian", desc: "kabardien" },
{ code: "kha", code2: "", code2l: "", name: "Khasi", desc: "khasi" },
{ code: "khi", code2: "", code2l: "", name: "Khoisan languages", desc: "khoïsan, langues" },
{ code: "khm", code2: "", code2l: "km", name: "Central Khmer", desc: "khmer central" },
{ code: "kho", code2: "", code2l: "", name: "Khotanese; Sakan", desc: "khotanais; sakan" },
{ code: "kik", code2: "", code2l: "ki", name: "Kikuyu; Gikuyu", desc: "kikuyu" },
{ code: "kin", code2: "", code2l: "rw", name: "Kinyarwanda", desc: "rwanda" },
{ code: "kir", code2: "", code2l: "ky", name: "Kirghiz; Kyrgyz", desc: "kirghiz" },
{ code: "kmb", code2: "", code2l: "", name: "Kimbundu", desc: "kimbundu" },
{ code: "kok", code2: "", code2l: "", name: "Konkani", desc: "konkani" },
{ code: "kom", code2: "", code2l: "kv", name: "Komi", desc: "kom" },
{ code: "kon", code2: "", code2l: "kg", name: "Kongo", desc: "kongo" },
{ code: "kos", code2: "", code2l: "", name: "Kosraean", desc: "kosrae" },
{ code: "kpe", code2: "", code2l: "", name: "Kpelle", desc: "kpellé" },
{ code: "krc", code2: "", code2l: "", name: "Karachay-Balkar", desc: "karatchai balkar" },
{ code: "krl", code2: "", code2l: "", name: "Karelian", desc: "carélien" },
{ code: "kro", code2: "", code2l: "", name: "Kru languages", desc: "krou, langues" },
{ code: "kru", code2: "", code2l: "", name: "Kurukh", desc: "kurukh" },
{ code: "kua", code2: "", code2l: "kj", name: "Kuanyama; Kwanyama", desc: "kuanyama; kwanyama" },
{ code: "kum", code2: "", code2l: "", name: "Kumyk", desc: "koumyk" },
{ code: "kur", code2: "", code2l: "ku", name: "Kurdish", desc: "kurde" },
{ code: "kut", code2: "", code2l: "", name: "Kutenai", desc: "kutenai" },
{ code: "lad", code2: "", code2l: "", name: "Ladino", desc: "judéo-espagnol" },
{ code: "lah", code2: "", code2l: "", name: "Lahnda", desc: "lahnda" },
{ code: "lam", code2: "", code2l: "", name: "Lamba", desc: "lamba" },
{ code: "lao", code2: "", code2l: "lo", name: "Lao", desc: "lao" },
{ code: "lat", code2: "", code2l: "la", name: "Latin", desc: "latin" },
{ code: "lav", code2: "", code2l: "lv", name: "Latvian", desc: "letton" },
{ code: "lez", code2: "", code2l: "", name: "Lezghian", desc: "lezghien" },
{ code: "lim", code2: "", code2l: "li", name: "Limburgan; Limburger; Limburgish", desc: "limbourgeois" },
{ code: "lin", code2: "", code2l: "ln", name: "Lingala", desc: "lingala" },
{ code: "lit", code2: "", code2l: "lt", name: "Lithuanian", desc: "lituanien" },
{ code: "lol", code2: "", code2l: "", name: "Mongo", desc: "mongo" },
{ code: "loz", code2: "", code2l: "", name: "Lozi", desc: "lozi" },
{ code: "ltz", code2: "", code2l: "lb", name: "Luxembourgish; Letzeburgesch", desc: "luxembourgeois" },
{ code: "lua", code2: "", code2l: "", name: "Luba-Lulua", desc: "luba-lulua" },
{ code: "lub", code2: "", code2l: "lu", name: "Luba-Katanga", desc: "luba-katanga" },
{ code: "lug", code2: "", code2l: "lg", name: "Ganda", desc: "ganda" },
{ code: "lui", code2: "", code2l: "", name: "Luiseno", desc: "luiseno" },
{ code: "lun", code2: "", code2l: "", name: "Lunda", desc: "lunda" },
{ code: "luo", code2: "", code2l: "", name: "Luo (Kenya and Tanzania)", desc: "luo (Kenya et Tanzanie)" },
{ code: "lus", code2: "", code2l: "", name: "Lushai", desc: "lushai" },
{ code: "mac", code2: "mkd", code2l: "mk", name: "Macedonian", desc: "macédonien" },
{ code: "mad", code2: "", code2l: "", name: "Madurese", desc: "madourais" },
{ code: "mag", code2: "", code2l: "", name: "Magahi", desc: "magahi" },
{ code: "mah", code2: "", code2l: "mh", name: "Marshallese", desc: "marshall" },
{ code: "mai", code2: "", code2l: "", name: "Maithili", desc: "maithili" },
{ code: "mak", code2: "", code2l: "", name: "Makasar", desc: "makassar" },
{ code: "mal", code2: "", code2l: "ml", name: "Malayalam", desc: "malayalam" },
{ code: "man", code2: "", code2l: "", name: "Mandingo", desc: "mandingue" },
{ code: "mao", code2: "mri", code2l: "mi", name: "Maori", desc: "maori" },
{ code: "map", code2: "", code2l: "", name: "Austronesian languages", desc: "austronésiennes, langues" },
{ code: "mar", code2: "", code2l: "mr", name: "Marathi", desc: "marathe" },
{ code: "mas", code2: "", code2l: "", name: "Masai", desc: "massaï" },
{ code: "may", code2: "msa", code2l: "ms", name: "Malay", desc: "malais" },
{ code: "mdf", code2: "", code2l: "", name: "Moksha", desc: "moksa" },
{ code: "mdr", code2: "", code2l: "", name: "Mandar", desc: "mandar" },
{ code: "men", code2: "", code2l: "", name: "Mende", desc: "mendé" },
{ code: "mga", code2: "", code2l: "", name: "Irish, Middle (900-1200)", desc: "irlandais moyen (900-1200)" },
{ code: "mic", code2: "", code2l: "", name: "Mi'kmaq; Micmac", desc: "mi'kmaq; micmac" },
{ code: "min", code2: "", code2l: "", name: "Minangkabau", desc: "minangkabau" },
{ code: "mis", code2: "", code2l: "", name: "Uncoded languages", desc: "langues non codées" },
{ code: "mkh", code2: "", code2l: "", name: "Mon-Khmer languages", desc: "môn-khmer, langues" },
{ code: "mlg", code2: "", code2l: "mg", name: "Malagasy", desc: "malgache" },
{ code: "mlt", code2: "", code2l: "mt", name: "Maltese", desc: "maltais" },
{ code: "mnc", code2: "", code2l: "", name: "Manchu", desc: "mandchou" },
{ code: "mni", code2: "", code2l: "", name: "Manipuri", desc: "manipuri" },
{ code: "mno", code2: "", code2l: "", name: "Manobo languages", desc: "manobo, langues" },
{ code: "moh", code2: "", code2l: "", name: "Mohawk", desc: "mohawk" },
{ code: "mon", code2: "", code2l: "mn", name: "Mongolian", desc: "mongol" },
{ code: "mos", code2: "", code2l: "", name: "Mossi", desc: "moré" },
{ code: "mul", code2: "", code2l: "", name: "Multiple languages", desc: "multilingue" },
{ code: "mun", code2: "", code2l: "", name: "Munda languages", desc: "mounda, langues" },
{ code: "mus", code2: "", code2l: "", name: "Creek", desc: "muskogee" },
{ code: "mwl", code2: "", code2l: "", name: "Mirandese", desc: "mirandais" },
{ code: "mwr", code2: "", code2l: "", name: "Marwari", desc: "marvari" },
{ code: "myn", code2: "", code2l: "", name: "Mayan languages", desc: "maya, langues" },
{ code: "myv", code2: "", code2l: "", name: "Erzya", desc: "erza" },
{ code: "nah", code2: "", code2l: "", name: "Nahuatl languages", desc: "nahuatl, langues" },
{ code: "nai", code2: "", code2l: "", name: "North American Indian languages", desc: "nord-amérindiennes, langues" },
{ code: "nap", code2: "", code2l: "", name: "Neapolitan", desc: "napolitain" },
{ code: "nau", code2: "", code2l: "na", name: "Nauru", desc: "nauruan" },
{ code: "nav", code2: "", code2l: "nv", name: "Navajo; Navaho", desc: "navaho" },
{ code: "nbl", code2: "", code2l: "nr", name: "Ndebele, South; South Ndebele", desc: "ndébélé du Sud" },
{ code: "nde", code2: "", code2l: "nd", name: "Ndebele, North; North Ndebele", desc: "ndébélé du Nord" },
{ code: "ndo", code2: "", code2l: "ng", name: "Ndonga", desc: "ndonga" },
{ code: "nds", code2: "", code2l: "", name: "Low German; Low Saxon; German, Low; Saxon, Low", desc: "bas allemand; bas saxon; allemand, bas; saxon, bas" },
{ code: "nep", code2: "", code2l: "ne", name: "Nepali", desc: "népalais" },
{ code: "new", code2: "", code2l: "", name: "Nepal Bhasa; Newari", desc: "nepal bhasa; newari" },
{ code: "nia", code2: "", code2l: "", name: "Nias", desc: "nias" },
{ code: "nic", code2: "", code2l: "", name: "Niger-Kordofanian languages", desc: "nigéro-kordofaniennes, langues" },
{ code: "niu", code2: "", code2l: "", name: "Niuean", desc: "niué" },
{ code: "nno", code2: "", code2l: "nn", name: "Norwegian Nynorsk; Nynorsk, Norwegian", desc: "norvégien nynorsk; nynorsk, norvégien" },
{ code: "nob", code2: "", code2l: "nb", name: "Bokmål, Norwegian; Norwegian Bokmål", desc: "norvégien bokmål" },
{ code: "nog", code2: "", code2l: "", name: "Nogai", desc: "nogaï; nogay" },
{ code: "non", code2: "", code2l: "", name: "Norse, Old", desc: "norrois, vieux" },
{ code: "nqo", code2: "", code2l: "", name: "N'Ko", desc: "n'ko" },
{ code: "nso", code2: "", code2l: "", name: "Pedi; Sepedi; Northern Sotho", desc: "pedi; sepedi; sotho du Nord" },
{ code: "nub", code2: "", code2l: "", name: "Nubian languages", desc: "nubiennes, langues" },
{ code: "nwc", code2: "", code2l: "", name: "Classical Newari; Old Newari; Classical Nepal Bhasa", desc: "newari classique" },
{ code: "nya", code2: "", code2l: "ny", name: "Chichewa; Chewa; Nyanja", desc: "chichewa; chewa; nyanja" },
{ code: "nym", code2: "", code2l: "", name: "Nyamwezi", desc: "nyamwezi" },
{ code: "nyn", code2: "", code2l: "", name: "Nyankole", desc: "nyankolé" },
{ code: "nyo", code2: "", code2l: "", name: "Nyoro", desc: "nyoro" },
{ code: "nzi", code2: "", code2l: "", name: "Nzima", desc: "nzema" },
{ code: "oci", code2: "", code2l: "oc", name: "Occitan (post 1500); Provençal", desc: "occitan (après 1500); provençal" },
{ code: "oji", code2: "", code2l: "oj", name: "Ojibwa", desc: "ojibwa" },
{ code: "ori", code2: "", code2l: "or", name: "Oriya", desc: "oriya" },
{ code: "orm", code2: "", code2l: "om", name: "Oromo", desc: "galla" },
{ code: "osa", code2: "", code2l: "", name: "Osage", desc: "osage" },
{ code: "oss", code2: "", code2l: "os", name: "Ossetian; Ossetic", desc: "ossète" },
{ code: "ota", code2: "", code2l: "", name: "Turkish, Ottoman (1500-1928)", desc: "turc ottoman (1500-1928)" },
{ code: "oto", code2: "", code2l: "", name: "Otomian languages", desc: "otomi, langues" },
{ code: "paa", code2: "", code2l: "", name: "Papuan languages", desc: "papoues, langues" },
{ code: "pag", code2: "", code2l: "", name: "Pangasinan", desc: "pangasinan" },
{ code: "pal", code2: "", code2l: "", name: "Pahlavi", desc: "pahlavi" },
{ code: "pam", code2: "", code2l: "", name: "Pampanga; Kapampangan", desc: "pampangan" },
{ code: "pan", code2: "", code2l: "pa", name: "Panjabi; Punjabi", desc: "pendjabi" },
{ code: "pap", code2: "", code2l: "", name: "Papiamento", desc: "papiamento" },
{ code: "pau", code2: "", code2l: "", name: "Palauan", desc: "palau" },
{ code: "peo", code2: "", code2l: "", name: "Persian, Old (ca.600-400 B.C.)", desc: "perse, vieux (ca. 600-400 av. J.-C.)" },
{ code: "per", code2: "fas", code2l: "fa", name: "Persian", desc: "persan" },
{ code: "phi", code2: "", code2l: "", name: "Philippine languages", desc: "philippines, langues" },
{ code: "phn", code2: "", code2l: "", name: "Phoenician", desc: "phénicien" },
{ code: "pli", code2: "", code2l: "pi", name: "Pali", desc: "pali" },
{ code: "pon", code2: "", code2l: "", name: "Pohnpeian", desc: "pohnpei" },
{ code: "pra", code2: "", code2l: "", name: "Prakrit languages", desc: "prâkrit, langues" },
{ code: "pro", code2: "", code2l: "", name: "Provençal, Old (to 1500)", desc: "provençal ancien (jusqu'à 1500)" },
{ code: "pus", code2: "", code2l: "ps", name: "Pushto; Pashto", desc: "pachto" },
{ code: "qaa-qtz", code2: "", code2l: "", name: "Reserved for local use", desc: "réservée à l'usage local" },
{ code: "que", code2: "", code2l: "qu", name: "Quechua", desc: "quechua" },
{ code: "raj", code2: "", code2l: "", name: "Rajasthani", desc: "rajasthani" },
{ code: "rap", code2: "", code2l: "", name: "Rapanui", desc: "rapanui" },
{ code: "rar", code2: "", code2l: "", name: "Rarotongan; Cook Islands Maori", desc: "rarotonga; maori des îles Cook" },
{ code: "roa", code2: "", code2l: "", name: "Romance languages", desc: "romanes, langues" },
{ code: "roh", code2: "", code2l: "rm", name: "Romansh", desc: "romanche" },
{ code: "rom", code2: "", code2l: "", name: "Romany", desc: "tsigane" },
{ code: "rum", code2: "ron", code2l: "ro", name: "Romanian; Moldavian; Moldovan", desc: "roumain; moldave" },
{ code: "run", code2: "", code2l: "rn", name: "Rundi", desc: "rundi" },
{ code: "rup", code2: "", code2l: "", name: "Aromanian; Arumanian; Macedo-Romanian", desc: "aroumain; macédo-roumain" },
{ code: "sad", code2: "", code2l: "", name: "Sandawe", desc: "sandawe" },
{ code: "sag", code2: "", code2l: "sg", name: "Sango", desc: "sango" },
{ code: "sah", code2: "", code2l: "", name: "Yakut", desc: "iakoute" },
{ code: "sai", code2: "", code2l: "", name: "South American Indian (Other)", desc: "indiennes d'Amérique du Sud, autres langues" },
{ code: "sal", code2: "", code2l: "", name: "Salishan languages", desc: "salishennes, langues" },
{ code: "sam", code2: "", code2l: "", name: "Samaritan Aramaic", desc: "samaritain" },
{ code: "san", code2: "", code2l: "sa", name: "Sanskrit", desc: "sanskrit" },
{ code: "sas", code2: "", code2l: "", name: "Sasak", desc: "sasak" },
{ code: "sat", code2: "", code2l: "", name: "Santali", desc: "santal" },
{ code: "scn", code2: "", code2l: "", name: "Sicilian", desc: "sicilien" },
{ code: "sco", code2: "", code2l: "", name: "Scots", desc: "écossais" },
{ code: "sel", code2: "", code2l: "", name: "Selkup", desc: "selkoupe" },
{ code: "sem", code2: "", code2l: "", name: "Semitic languages", desc: "sémitiques, langues" },
{ code: "sga", code2: "", code2l: "", name: "Irish, Old (to 900)", desc: "irlandais ancien (jusqu'à 900)" },
{ code: "sgn", code2: "", code2l: "", name: "Sign Languages", desc: "langues des signes" },
{ code: "shn", code2: "", code2l: "", name: "Shan", desc: "chan" },
{ code: "sid", code2: "", code2l: "", name: "Sidamo", desc: "sidamo" },
{ code: "sin", code2: "", code2l: "si", name: "Sinhala; Sinhalese", desc: "singhalais" },
{ code: "sio", code2: "", code2l: "", name: "Siouan languages", desc: "sioux, langues" },
{ code: "sit", code2: "", code2l: "", name: "Sino-Tibetan languages", desc: "sino-tibétaines, langues" },
{ code: "sla", code2: "", code2l: "", name: "Slavic languages", desc: "slaves, langues" },
{ code: "sma", code2: "", code2l: "", name: "Southern Sami", desc: "sami du Sud" },
{ code: "sme", code2: "", code2l: "se", name: "Northern Sami", desc: "sami du Nord" },
{ code: "smi", code2: "", code2l: "", name: "Sami languages", desc: "sames, langues" },
{ code: "smj", code2: "", code2l: "", name: "Lule Sami", desc: "sami de Lule" },
{ code: "smn", code2: "", code2l: "", name: "Inari Sami", desc: "sami d'Inari" },
{ code: "smo", code2: "", code2l: "sm", name: "Samoan", desc: "samoan" },
{ code: "sms", code2: "", code2l: "", name: "Skolt Sami", desc: "sami skolt" },
{ code: "sna", code2: "", code2l: "sn", name: "Shona", desc: "shona" },
{ code: "snd", code2: "", code2l: "sd", name: "Sindhi", desc: "sindhi" },
{ code: "snk", code2: "", code2l: "", name: "Soninke", desc: "soninké" },
{ code: "sog", code2: "", code2l: "", name: "Sogdian", desc: "sogdien" },
{ code: "som", code2: "", code2l: "so", name: "Somali", desc: "somali" },
{ code: "son", code2: "", code2l: "", name: "Songhai languages", desc: "songhai, langues" },
{ code: "sot", code2: "", code2l: "st", name: "Sotho, Southern", desc: "sotho du Sud" },
{ code: "srd", code2: "", code2l: "sc", name: "Sardinian", desc: "sarde" },
{ code: "srn", code2: "", code2l: "", name: "Sranan Tongo", desc: "sranan tongo" },
{ code: "srp", code2: "", code2l: "sr", name: "Serbian", desc: "serbe" },
{ code: "srr", code2: "", code2l: "", name: "Serer", desc: "sérère" },
{ code: "ssa", code2: "", code2l: "", name: "Nilo-Saharan languages", desc: "nilo-sahariennes, langues" },
{ code: "ssw", code2: "", code2l: "ss", name: "Swati", desc: "swati" },
{ code: "suk", code2: "", code2l: "", name: "Sukuma", desc: "sukuma" },
{ code: "sun", code2: "", code2l: "su", name: "Sundanese", desc: "soundanais" },
{ code: "sus", code2: "", code2l: "", name: "Susu", desc: "soussou" },
{ code: "sux", code2: "", code2l: "", name: "Sumerian", desc: "sumérien" },
{ code: "swa", code2: "", code2l: "sw", name: "Swahili", desc: "swahili" },
{ code: "syc", code2: "", code2l: "", name: "Classical Syriac", desc: "syriaque classique" },
{ code: "syr", code2: "", code2l: "", name: "Syriac", desc: "syriaque" },
{ code: "tah", code2: "", code2l: "ty", name: "Tahitian", desc: "tahitien" },
{ code: "tai", code2: "", code2l: "", name: "Tai languages", desc: "tai, langues" },
{ code: "tam", code2: "", code2l: "ta", name: "Tamil", desc: "tamoul" },
{ code: "tat", code2: "", code2l: "tt", name: "Tatar", desc: "tatar" },
{ code: "tel", code2: "", code2l: "te", name: "Telugu", desc: "télougou" },
{ code: "tem", code2: "", code2l: "", name: "Timne", desc: "temne" },
{ code: "ter", code2: "", code2l: "", name: "Tereno", desc: "tereno" },
{ code: "tet", code2: "", code2l: "", name: "Tetum", desc: "tetum" },
{ code: "tgk", code2: "", code2l: "tg", name: "Tajik", desc: "tadjik" },
{ code: "tgl", code2: "", code2l: "tl", name: "Tagalog", desc: "tagalog" },
{ code: "tha", code2: "", code2l: "th", name: "Thai", desc: "thaï" },
{ code: "tib", code2: "bod", code2l: "bo", name: "Tibetan", desc: "tibétain" },
{ code: "tig", code2: "", code2l: "", name: "Tigre", desc: "tigré" },
{ code: "tir", code2: "", code2l: "ti", name: "Tigrinya", desc: "tigrigna" },
{ code: "tiv", code2: "", code2l: "", name: "Tiv", desc: "tiv" },
{ code: "tkl", code2: "", code2l: "", name: "Tokelau", desc: "tokelau" },
{ code: "tlh", code2: "", code2l: "", name: "Klingon; tlhIngan-Hol", desc: "klingon" },
{ code: "tli", code2: "", code2l: "", name: "Tlingit", desc: "tlingit" },
{ code: "tmh", code2: "", code2l: "", name: "Tamashek", desc: "tamacheq" },
{ code: "tog", code2: "", code2l: "", name: "Tonga (Nyasa)", desc: "tonga (Nyasa)" },
{ code: "ton", code2: "", code2l: "to", name: "Tonga (Tonga Islands)", desc: "tongan (Îles Tonga)" },
{ code: "tpi", code2: "", code2l: "", name: "Tok Pisin", desc: "tok pisin" },
{ code: "tsi", code2: "", code2l: "", name: "Tsimshian", desc: "tsimshian" },
{ code: "tsn", code2: "", code2l: "tn", name: "Tswana", desc: "tswana" },
{ code: "tso", code2: "", code2l: "ts", name: "Tsonga", desc: "tsonga" },
{ code: "tuk", code2: "", code2l: "tk", name: "Turkmen", desc: "turkmène" },
{ code: "tum", code2: "", code2l: "", name: "Tumbuka", desc: "tumbuka" },
{ code: "tup", code2: "", code2l: "", name: "Tupi languages", desc: "tupi, langues" },
{ code: "tut", code2: "", code2l: "", name: "Altaic languages", desc: "altaïques, langues" },
{ code: "tvl", code2: "", code2l: "", name: "Tuvalu", desc: "tuvalu" },
{ code: "twi", code2: "", code2l: "tw", name: "Twi", desc: "twi" },
{ code: "tyv", code2: "", code2l: "", name: "Tuvinian", desc: "touva" },
{ code: "udm", code2: "", code2l: "", name: "Udmurt", desc: "oudmourte" },
{ code: "uga", code2: "", code2l: "", name: "Ugaritic", desc: "ougaritique" },
{ code: "uig", code2: "", code2l: "ug", name: "Uighur; Uyghur", desc: "ouïgour" },
{ code: "ukr", code2: "", code2l: "uk", name: "Ukrainian", desc: "ukrainien" },
{ code: "umb", code2: "", code2l: "", name: "Umbundu", desc: "umbundu" },
{ code: "und", code2: "", code2l: "", name: "Undetermined", desc: "indéterminée" },
{ code: "urd", code2: "", code2l: "ur", name: "Urdu", desc: "ourdou" },
{ code: "uzb", code2: "", code2l: "uz", name: "Uzbek", desc: "ouszbek" },
{ code: "vai", code2: "", code2l: "", name: "Vai", desc: "vaï" },
{ code: "ven", code2: "", code2l: "ve", name: "Venda", desc: "venda" },
{ code: "vie", code2: "", code2l: "vi", name: "Vietnamese", desc: "vietnamien" },
{ code: "vol", code2: "", code2l: "vo", name: "Volapük", desc: "volapük" },
{ code: "vot", code2: "", code2l: "", name: "Votic", desc: "vote" },
{ code: "wak", code2: "", code2l: "", name: "Wakashan languages", desc: "wakashanes, langues" },
{ code: "wal", code2: "", code2l: "", name: "Walamo", desc: "walamo" },
{ code: "war", code2: "", code2l: "", name: "Waray", desc: "waray" },
{ code: "was", code2: "", code2l: "", name: "Washo", desc: "washo" },
{ code: "wel", code2: "cym", code2l: "cy", name: "Welsh", desc: "gallois" },
{ code: "wen", code2: "", code2l: "", name: "Sorbian languages", desc: "sorabes, langues" },
{ code: "wln", code2: "", code2l: "wa", name: "Walloon", desc: "wallon" },
{ code: "wol", code2: "", code2l: "wo", name: "Wolof", desc: "wolof" },
{ code: "xal", code2: "", code2l: "", name: "Kalmyk; Oirat", desc: "kalmouk; oïrat" },
{ code: "xho", code2: "", code2l: "xh", name: "Xhosa", desc: "xhosa" },
{ code: "yao", code2: "", code2l: "", name: "Yao", desc: "yao" },
{ code: "yap", code2: "", code2l: "", name: "Yapese", desc: "yapois" },
{ code: "yid", code2: "", code2l: "yi", name: "Yiddish", desc: "yiddish" },
{ code: "yor", code2: "", code2l: "yo", name: "Yoruba", desc: "yoruba" },
{ code: "ypk", code2: "", code2l: "", name: "Yupik languages", desc: "yupik, langues" },
{ code: "zap", code2: "", code2l: "", name: "Zapotec", desc: "zapotèque" },
{ code: "zbl", code2: "", code2l: "", name: "Blissymbols; Blissymbolics; Bliss", desc: "symboles Bliss; Bliss" },
{ code: "zen", code2: "", code2l: "", name: "Zenaga", desc: "zenaga" },
{ code: "zgh", code2: "", code2l: "", name: "Standard Moroccan Tamazight", desc: "amazighe standard marocain" },
{ code: "zha", code2: "", code2l: "za", name: "Zhuang; Chuang", desc: "zhuang; chuang" },
{ code: "znd", code2: "", code2l: "", name: "Zande languages", desc: "zandé, langues" },
{ code: "zul", code2: "", code2l: "zu", name: "Zulu", desc: "zoulou" },
{ code: "zun", code2: "", code2l: "", name: "Zuni", desc: "zuni" },
{ code: "zxx", code2: "", code2l: "", name: "No linguistic content; Not applicable", desc: "pas de contenu linguistique; non applicable" },
{ code: "zza", code2: "", code2l: "", name: "Zaza; Dimili; Dimli; Kirdki; Kirmanjki; Zazaki", desc: "zaza; dimili; dimli; kirdki; kirmanjki; zazaki" },
];
